BiblioEntryStatus (BioJava-1.5-beta API)
Keywords: org.biojava.bibliography.BiblioEntryStatus class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioEntryStatus

    java.lang.Object
      org.biojava.bibliography.BiblioEntryStatus

    public class BiblioEntryStatus

extends Object

It defines information related to the citation itself rather than to the cited resource. In other words, it represents a status of a record in a bibliographic repository.

Since:
  1.3
Version:
  $Id: BiblioEntryStatus.java,v 1.4 2003/07/16 16:01:10 mrp Exp $
Author:
  Martin Senger

Field Summary
`String` | `lastModifiedDate` It defines when the citation record was added or last modified.
`Hashtable` | `properties` The dynamic properties may be used to add features related to the citation itself.
`String` | `repositorySubset` Some bibliographic repositories consist of several, or even many, databases.

Constructor Summary
`BiblioEntryStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public Hashtable properties

  The dynamic properties may be used to add features related to the citation itself. For example, a name of the citation annotator, or citation version.

  The property names should be made available in a controlled vocabulary named `BibRefSupport.ENTRY_PROPERTIES`.

### lastModifiedDate

    public String lastModifiedDate

  It defines when the citation record was added or last modified. Usually it is used to retrieve new or revised (since a specified date) citations.

  See Also:
    `date in BibRef for format discussion`

### repositorySubset

    public String repositorySubset

  Some bibliographic repositories consist of several, or even many, databases. The subset helps to locate the citation within the repository.

  The possible values of this member should be defined in a controlled vocabulary named `BibRefSupport.REPOSITORY_SUBSETS`.

Constructor Detail

### BiblioEntryStatus

    public BiblioEntryStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD